<?php
namespace Claromentis\News\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_559824e0ac2e0f7e96c81047" . "3f78f5fe" => base64_decode("L25ld3" . "Mv"), "_4fabdeae28e3ef4591a36a28a34" . "6dc55" => base64_decode("YWRtaW4ubGFicy5hYnNvbHV0ZV91" . "cmwubmV3cw=="));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractNewsAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4fabdeae28e3ef4591a36a28a" . "346dc55"]);
    }
    
    
    
    
    public function getLink($id) : string
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_559824e" . "0ac2e0f7" . "e96c8104" . "73f78f5f" . "e"] . $id;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}